name: Test Runner                      # workflow 名字，网页上显示

on:                                    # 什么时候触发
  push:
    branches: [master]

jobs:                                  # 工单里有几道工序
  hello:                               # 工序1，名字叫 hello
    runs-on: ubuntu-latest             # 找 label 是 ubuntu-latest 的 runner
    steps:                             # 这道工序分步做
      - uses: https://gitea.com/actions/checkout@v4      # 步1：把仓库代码拉进容器
      - name: Check node               # 步2：起个名字
        run: |                        # 步2实际执行的 shell 命令
          echo "Gitea Actions OK"
          node -v